> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete A User

> Deletes a user object.

<Warning>Deleting a user object will also delete all accounts and resources associated with the user.</Warning>




## OpenAPI

````yaml delete /v2/users/{id}
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: |
    API for managing users. Users connect their payroll accounts using Link.
servers: []
security:
  - basicAuth: []
paths:
  /v2/users/{id}:
    delete:
      summary: Delete a user
      description: >
        Deletes a user object.


        <Warning>Deleting a user object will also delete all accounts and
        resources associated with the user.</Warning>
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the user object to be deleted.
      responses:
        '204':
          description: '204 status code: No content.'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````